source(MultiOverlayV2.modDir.."scripte/draw/moDrawPage1.lua");
source(MultiOverlayV2.modDir.."scripte/draw/moDrawPage2.lua");
source(MultiOverlayV2.modDir.."scripte/draw/moDrawPage3.lua");
moDraw.pageMenue = {};

function moDraw.pageMenue:setOpen(self)
	moSetGetGui["pageCfg"]:render();
	local pageCfgWidth = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInCfgMenue*32;
	local horizontal = moSetGetGui.buttonGfxWidth1*moSetGetGui.zoomOutInCfgMenue*8;
	local vertical = moSetGetGui.buttonGfxHeight1*moSetGetGui.zoomOutInCfgMenue*8;	
	setTextBold(true);
	setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
	renderText(moSetGetGui.posCfgMenue.page[1]+(horizontal*(2+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)), moSetGetGui.posCfgMenue.size[2], tostring(moSetGetGui.activePage));
	if moSetGetGui.closeAllHud then
		moSetGetGui["notOkaySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+(horizontal*(2.5+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
		moSetGetGui["notOkaySmall"]:render();
	else
		moSetGetGui["okaySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+(horizontal*(2.5+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
		moSetGetGui["okaySmall"]:render();
	end;
	if moSetGetGui.activePage == 1 then
		setPage1(self, horizontal, vertical, pageCfgWidth)
	end;
	if moSetGetGui.activePage == 2 then
		setPage2(self, horizontal, vertical, pageCfgWidth)
	end;
	if moSetGetGui.activePage == 3 then
		setPage3(self, horizontal, vertical, pageCfgWidth)
	end;
end;

function setPage1(self, horizontal, vertical, pageCfgWidth)		
	moSetGetGui["page1"]:render();	
	if string.len(moGeneralSettings.infoTxt) > 0 then
		if moSetGetGui.page[2].dragDropPos then
			setTextColor(unpack(moSetGetGui.cfgMenue.color3));
			local x, y, width, height = moSetGetGui:getOverlay(self, moSetGetGui["newPosRahmen"]);
			if x ~= nil then
				moSetGetGui["warning"]:setPosition(x+(horizontal*(2)), y+(vertical*(0)));			
				moSetGetGui["warning"]:render();
				renderText(x+(horizontal*2), y+(vertical*(0+0.35)), moSetGetGui.posCfgMenue.size[1]-0.002, tostring(moGeneralSettings.infoTxt));
				renderText(x+(horizontal*2), y+(vertical*(0+0.35)), moSetGetGui.posCfgMenue.size[1]-0.002, tostring(moGeneralSettings.infoTxt));				
			end;
		end;
	end;	
	moSetGetGui["closeSmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*8.5), moSetGetGui.posCfgMenue.page[2]+(vertical*0.5));			
	moSetGetGui["closeSmall"]:render();	
	if moSetGetGui.page[1].isHiden then
		moSetGetGui["notReadySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+(horizontal*(2+0.05)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.05)));			
		moSetGetGui["notReadySmall"]:render();
	end;
	if moSetGetGui.page[1].size <= moSetGetGui.page[1].minSize then
		moSetGetGui["notReadySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+(horizontal*(3.5+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
		moSetGetGui["notReadySmall"]:render();
	end;	
	if moSetGetGui.page[1].size >= moSetGetGui.page[1].maxSize then
		moSetGetGui["notReadySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+(horizontal*(3.5+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.5+0.1)));			
		moSetGetGui["notReadySmall"]:render();
	end;
	if moSetGetGui.cfgMenue.savePage1 then
		moSetGetGui["saveOnSmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*8), moSetGetGui.posCfgMenue.page[2]+(vertical*0.5));			
		moSetGetGui["saveOnSmall"]:render();
	else
		moSetGetGui["saveOffSmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*8), moSetGetGui.posCfgMenue.page[2]+(vertical*0.5));			
		moSetGetGui["saveOffSmall"]:render();
	end;
	if moSetGetGui.page[1].allPrices then
		moSetGetGui["okaySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(0+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
		moSetGetGui["okaySmall"]:render();
	else
		moSetGetGui["notOkaySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(0+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
		moSetGetGui["notOkaySmall"]:render();
	end;
	if moSetGetGui.page[1].allFruits then
		moSetGetGui["okaySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(1+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
		moSetGetGui["okaySmall"]:render();
	else
		moSetGetGui["notOkaySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(1+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
		moSetGetGui["notOkaySmall"]:render();
	end;
	setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
	renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(2.5+0.2)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.5+0.1)), moSetGetGui.posCfgMenue.size[2], tostring(moSetGetGui.page[1].maxStationsProSwitch));
	renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(2.5+0.2)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)), moSetGetGui.posCfgMenue.size[2], tostring(moSetGetGui.page[1].maxFruitsProSwitch));
	renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(4.5+0.2)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.5+0.1)), moSetGetGui.posCfgMenue.size[2], tostring(moSetGetGui.page[1].firstStation).. " - ".. tostring(moSetGetGui.page[1].endStation).. " (".. tostring(moGeneralSettings.mapStations).. ")");
	renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(4.5+0.2)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)), moSetGetGui.posCfgMenue.size[2], tostring(moSetGetGui.page[1].firstFruit).. " - ".. tostring(moSetGetGui.page[1].endFruit).. " (".. tostring(moGeneralSettings.Fillable_NUM_FILLTYPES).. ")");
	if moSetGetGui.page[1].maxStationsProSwitch >= moGeneralSettings.mapStations then
		moSetGetGui["notReadySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(4+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.5+0.1)));			
		moSetGetGui["notReadySmall"]:render();
	end;
	--else
	--	moSetGetGui["okaySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(4)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.5+0.1)));			
	--	moSetGetGui["okaySmall"]:render();
	--end;
	if moSetGetGui.page[1].maxFruitsProSwitch >= moGeneralSettings.Fillable_NUM_FILLTYPES then
		moSetGetGui["notReadySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(4+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
		moSetGetGui["notReadySmall"]:render();
	end;
	--else
	--	moSetGetGui["okaySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(4+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
	--	moSetGetGui["okaySmall"]:render();
	--end;	
	setTextColor(1, 1, 1, 1);
	setTextAlignment(false);
	setTextBold(false);
end;

function setPage2(self, horizontal, vertical, pageCfgWidth)		
	moSetGetGui["page2"]:render();
	if string.len(moGeneralSettings.infoTxt) > 0 then
		if moSetGetGui.page[2].dragDropPos then
			setTextColor(unpack(moSetGetGui.cfgMenue.color3));
			local x, y, width, height = moSetGetGui:getOverlay(self, moSetGetGui["newPosRahmen"]);
			if x ~= nil then
				moSetGetGui["warning"]:setPosition(x+(horizontal*(2)), y+(vertical*(0)));			
				moSetGetGui["warning"]:render();
				renderText(x+(horizontal*2), y+(vertical*(0+0.35)), moSetGetGui.posCfgMenue.size[1]-0.002, tostring(moGeneralSettings.infoTxt));
				renderText(x+(horizontal*2), y+(vertical*(0+0.35)), moSetGetGui.posCfgMenue.size[1]-0.002, tostring(moGeneralSettings.infoTxt));
			end;
		end;
	end;	
	moSetGetGui["closeSmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*8.5), moSetGetGui.posCfgMenue.page[2]+(vertical*0.5));			
	moSetGetGui["closeSmall"]:render();
	if moSetGetGui.page[2].mboBuyShowGui then
		setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
		local count = moSetGetGui.page[2].mboBuyShowTimerMax-moSetGetGui.page[2].mboBuyShowTimer;
		renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(4+0.2)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.2+0.1)), moSetGetGui.posCfgMenue.size[2]+0.002, tostring(count));
	end;
	if moSetGetGui.page[2].isHiden then
		moSetGetGui["notReadySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+(horizontal*(2+0.05)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.05)));			
		moSetGetGui["notReadySmall"]:render();
	end;
	if moSetGetGui.page[2].size <= moSetGetGui.page[2].minSize then
		moSetGetGui["notReadySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+(horizontal*(3.5+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
		moSetGetGui["notReadySmall"]:render();
	end;
	if moSetGetGui.page[2].size >= moSetGetGui.page[2].maxSize then
		moSetGetGui["notReadySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+(horizontal*(3.5+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.5+0.1)));			
		moSetGetGui["notReadySmall"]:render();
	end;
	if moSetGetGui.cfgMenue.savePage2 then
		moSetGetGui["saveOnSmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*8), moSetGetGui.posCfgMenue.page[2]+(vertical*0.5));			
		moSetGetGui["saveOnSmall"]:render();
	else
		moSetGetGui["saveOffSmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*8), moSetGetGui.posCfgMenue.page[2]+(vertical*0.5));			
		moSetGetGui["saveOffSmall"]:render();
	end;
	function setIcons(demand, discount)
		if demand and MultiOverlayV2.event.greatDemand_c then
			moSetGetGui["okaySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(1+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
			moSetGetGui["okaySmall"]:render();
		else
			moSetGetGui["notOkaySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(1+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
			moSetGetGui["notOkaySmall"]:render();
		end;
		if discount and MultiOverlayV2.event.discount_c then
			moSetGetGui["okaySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(3+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
			moSetGetGui["okaySmall"]:render();
		else
			moSetGetGui["notOkaySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(3+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
			moSetGetGui["notOkaySmall"]:render();
		end;
	end;
	if MultiOverlayV2.isMp or MultiOverlayV2.loadHostServer then
		if not MultiOverlayV2.event.greatDemand_s then
			moSetGetGui["notReady"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(1+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
			moSetGetGui["notReady"]:render();
		else
			setIcons(true, false);
		end;
		if not MultiOverlayV2.event.discount_s then
			moSetGetGui["notReady"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(3+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
			moSetGetGui["notReady"]:render();
		else
			setIcons(false, true);
		end;
	else
		setIcons(true, true);
	end;
	setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
	local isRunning = false;
	if g_currentMission.ingameMissionManager ~= nil and g_currentMission.ingameMissionManager.areMissionsRunning then isRunning = true;setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));end;
	renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(5.2)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.57)), moSetGetGui.posCfgMenue.size[2]+0.001, tostring("M"));
	setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
	if not isRunning then		
		renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(5.8)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.57)), moSetGetGui.posCfgMenue.size[2]+0.001, tostring("-------"));
	else
		local activeMissions = Utils.getNoNil(#g_currentMission.ingameMissionManager.activeMissions, 0);
		local pendingMissions = Utils.getNoNil(#g_currentMission.ingameMissionManager.pendingMissions, 0);
		local possibleIngameMissions = Utils.getNoNil(#g_currentMission.ingameMissionManager.possibleIngameMissions, 0);
		--if possibleIngameMissions ~= 0 then
		--	renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(5.8)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.532)), moSetGetGui.posCfgMenue.size[2], tostring(pendingMissions).. "+".. tostring(possibleIngameMissions));
		--else
			renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(5.8)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.57)), moSetGetGui.posCfgMenue.size[2], tostring(pendingMissions));
		--end;
		if activeMissions ~= 0 then setTextColor(unpack(moGuiMiniPdaSlots.warningColor0));end;
		renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(6.5)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.57)), moSetGetGui.posCfgMenue.size[2], tostring(activeMissions));
	end;	
	if MultiOverlayV2.isMp and not MultiOverlayV2.event.info_s then
		setTextColor(unpack(moGuiMiniPdaSlots.warningColor3));
		renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(5.25)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.1)), moSetGetGui.posCfgMenue.size[2], tostring("disabled"));		
	else
		setTextColor(unpack(moGuiMiniPdaSlots.siloColor));
		renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(5.25)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.1)), moSetGetGui.posCfgMenue.size[2]+0.001, tostring("I"));
		renderText(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*(5.8)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.1)), moSetGetGui.posCfgMenue.size[2]+0.001, tostring("-------"));
	end;
	setTextColor(1, 1, 1, 1);
	setTextAlignment(false);
	setTextBold(false);
end;

function setPage3(self, horizontal, vertical, pageCfgWidth)		
	moSetGetGui["page3"]:render();
	if string.len(moGeneralSettings.infoTxt) > 0 then
		if moSetGetGui.page[3].dragDropPos then
			setTextColor(unpack(moSetGetGui.cfgMenue.color3));
			local x, y, width, height = moSetGetGui:getOverlay(self, moSetGetGui["newPosRahmen"]);
			if x ~= nil then
				moSetGetGui["warning"]:setPosition(x+(horizontal*(2)), y+(vertical*(0)));			
				moSetGetGui["warning"]:render();
				renderText(x+(horizontal*2), y+(vertical*(0+0.35)), moSetGetGui.posCfgMenue.size[1]-0.002, tostring(moGeneralSettings.infoTxt));
				renderText(x+(horizontal*2), y+(vertical*(0+0.35)), moSetGetGui.posCfgMenue.size[1]-0.002, tostring(moGeneralSettings.infoTxt));
			end;
		end;
	end;	
	moSetGetGui["closeSmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*8.5), moSetGetGui.posCfgMenue.page[2]+(vertical*0.5));			
	moSetGetGui["closeSmall"]:render();
	if moSetGetGui.page[3].isHiden then
		moSetGetGui["notReadySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+(horizontal*(2+0.05)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.05)));			
		moSetGetGui["notReadySmall"]:render();
	end;
	if moSetGetGui.page[3].size <= moSetGetGui.page[3].minSize then
		moSetGetGui["notReadySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+(horizontal*(3.5+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0.5+0.1)));			
		moSetGetGui["notReadySmall"]:render();
	end;
	if moSetGetGui.page[3].size >= moSetGetGui.page[3].maxSize then
		moSetGetGui["notReadySmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+(horizontal*(3.5+0.1)), moSetGetGui.posCfgMenue.page[2]+(vertical*(0+0.1)));			
		moSetGetGui["notReadySmall"]:render();
	end;
	if moSetGetGui.cfgMenue.savePage3 then
		moSetGetGui["saveOnSmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*8), moSetGetGui.posCfgMenue.page[2]+(vertical*0.5));			
		moSetGetGui["saveOnSmall"]:render();
	else
		moSetGetGui["saveOffSmall"]:setPosition(moSetGetGui.posCfgMenue.page[1]+pageCfgWidth+(horizontal*8), moSetGetGui.posCfgMenue.page[2]+(vertical*0.5));			
		moSetGetGui["saveOffSmall"]:render();
	end;
	setTextColor(1, 1, 1, 1);
	setTextAlignment(false);
	setTextBold(false);
end;